<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>How to Add Toggle button in Datatables with jQuery PHP</title>

  <!-- Datatable CSS -->
  <link href='//cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css' rel='stylesheet' type='text/css'>

  <style type="text/css">
    /* Toggle button */
      #empTable .switch {
        position: relative;
        display: inline-block;
        width: 45px;
        height: 22px;
      }
      #empTable .switch input { 
        opacity: 0;
        width: 0;
        height: 0;
      }
      #empTable .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        -webkit-transition: .4s;
        transition: .4s;
      }
      #empTable .slider:before {
        position: absolute;
        content: "";
        height: 17px;
        width: 17px;
        left: 1px;
        bottom: 3px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
      }
      #empTable input:checked + .slider {
        background-color: #007bff;
      }

      #empTable input:focus + .slider {
        box-shadow: 0 0 1px #007bff;
      }
      #empTable input:checked + .slider:before {
        -webkit-transform: translateX(26px);
        -ms-transform: translateX(26px);
        transform: translateX(26px);
      }
      #empTable .slider.round {
        border-radius: 34px;
      }
      #empTable .slider.round:before {
        border-radius: 50%;
      }
      /*********/
    </style>
    
</head>
<body>

  
    <div  >
     
     <!-- Table -->
     <table id='empTable' class='display dataTable'>
       <thead>
         <tr>
           <th>Employee name</th>
           <th>Email</th>
           <th>Gender</th>
           <th>City</th>
           <th>Status</th>
         </tr>
       </thead>

     </table>
    </div>

    <!-- Script -->
    <!-- jQuery --> 
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>

    <!-- Datatable JS -->
    <script src="//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>

    <script type="text/javascript">
      $(document).ready(function(){

         // DataTable
         var dataTable = $('#empTable').DataTable({
           'processing': true,
           'serverSide': true,
           'serverMethod': 'post',
           'ajax': {
             'url':'ajaxfile.php',
             'data': function(data){
                
                // Append to data
                data.request = "paginationData";
             }
           },
           'columns': [
              { data: 'emp_name' },
              { data: 'email' },
              { data: 'gender' },
              { data: 'city' },
              { data: 'status' },
           ]
        });

         // Change user status
         $('#empTable').on('click','.changeuserstatus',function(e){

            if (confirm("Are you sure?") == true) {
                var empid = $(this).attr('data-id');
                var status = 0;
                if($(this).is(":checked")){
                    status = 1;
                }

                $.ajax({
                  url: 'ajaxfile.php',
                  type: 'post',
                  data: {request: 'changeStatus',status: status,id: empid},
                  success: function(response){
                      console.log(response);
                  }
                });
            }else{
                e.preventDefault();
            }
            
         });
        
      });
    </script>

</body>
</html>